flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stephan Ewen <se...@apache.org>
Subject Re: Release tag for 0.10.1
Date Sun, 10 Jan 2016 23:47:02 GMT
All build are built equal against Hadoop, but a specific Hadoop version is
still part of the Flink lib folder when downloaded.

Cross Hadoop-version compatibility is not good, i.e., when Flink has Hadoop
2.4 in the classpath, it does not work with a 2.6 YARN installation. That
is why we pre-build multiple versions.

Best,
Stephan


On Sat, Jan 9, 2016 at 3:19 AM, Nick Dimiduk <ndimiduk@gmail.com> wrote:

> Yes, a tag would be very good practice, IMHO. Those of us who need to run
> release + patches appreciate the release hygiene :)
>
> If all builds are created equal re: Hadoop versions, I recommend against
> publishing Hadoop-specific tarballs on the downloads page; it left me quite
> confused, as I'm sure it would other users.
>
> On Friday, January 8, 2016, Stephan Ewen <sewen@apache.org> wrote:
>
> > Hi Nick!
> >
> > We have not pushed a release tag, but have a frozen release-0.10.1-RC1
> > branch (https://github.com/apache/flink/tree/release-0.10.1-rc1)
> > A tag would be great, agree!
> >
> > Flink does in its core not depend on Hadoop. The parts that reference
> > Hadoop (HDFS filesystem, YARN, MapReduce function/format compatibility)
> are
> > not using any Hadoop version specific code (with the exception of some
> YARN
> > functions, which are reflectively invoked). So it should work across
> > versions nicely. The main friction we saw were version clashes of
> > transitive dependencies.
> >
> > The Flink CI builds include building Flink with Hadoop 2.5.0, see here:
> > https://github.com/apache/flink/blob/master/.travis.yml
> >
> > Greetings,
> > Stephan
> >
> >
> >
> > On Fri, Jan 8, 2016 at 6:54 PM, Nick Dimiduk <ndimiduk@apache.org
> > <javascript:;>> wrote:
> >
> > > An only-slightly related question: Is Flink using Hadoop version
> specific
> > > features in some way? IIRC, the basic APIs should be compatible back as
> > far
> > > as 2.2. I'm surprised to see builds of flink explicitly against many
> > hadoop
> > > versions, but 2.5.x is excluded.
> > >
> > > -n
> > >
> > > On Fri, Jan 8, 2016 at 9:45 AM, Nick Dimiduk <ndimiduk@apache.org
> > <javascript:;>> wrote:
> > >
> > > > Hi Devs,
> > > >
> > > > It seems no release tag was pushed to 0.10.1. I presume this was an
> > > > oversight. Is there some place I can look to see from which sha the
> > > 0.10.1
> > > > release was built? Are the RC vote threads the only cannon in this
> > > matter?
> > > >
> > > > Thanks,
> > > > Nick
> > > >
> > >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message